/emails-and-contacts

Allows finding email addresses, social links, and phones from domains.

↗ Open in API Explorer
GET

Emails & Contacts

Allows finding email addresses, social links, and phones from domains.

Request

Endpoint: GET https://api.outscraper.com/emails-and-contacts

Parameters

NameInTypeRequiredDescriptionExampleConstraints
query query array<string> Yes Domain or link (e.g., outscraper.com). It supports batching by sending arrays with up to 1000 queries (e.g., query=text1&query=text2&query=text3). It allows multiple queries to be sent in one request and to save on network latency time. - -
preferredContacts query array<string enum> No Preferred contacts. It supports multiple categories (e.g., preferredContacts=technical&preferredContacts=influencers). - -
webhook query string No The parameter defines the URL address (callback) to which Outscraper will create a POST request with a JSON body once a task/request is finished. Using this parameter overwrites the webhook from integrations. - -

Responses

200

application/json

The response contains the status of the request and data. Data is an array where each element represents a response for a single query from the request.

{
  "id": "your-request-id",
  "status": "Success",
  "data": [
    {
      "query": "outscraper.com",
      "domain": "outscraper.com",
      "emails": [
        {
          "value": "service@outscraper.com",
          "sources": [
            {
              "ref": "https://outscraper.com/",
              "extracted_on": "2021-07-23T18:13:27.546000",
              "updated_on": "2021-07-23T18:13:27.546000"
            },
            {
              "ref": "https://outscraper.com/pricing/",
              "extracted_on": "2021-07-23T18:13:27.546000",
              "updated_on": "2021-07-23T18:13:27.546000"
            },
            {
              "ref": "https://outscraper.com/yelp-scraper/",
              "extracted_on": "2021-07-23T18:13:27.546000",
              "updated_on": "2021-07-23T18:13:27.546000"
            },
            {
              "ref": "https://outscraper.com/careers/",
              "extracted_on": "2021-07-23T18:13:27.546000",
              "updated_on": "2021-07-23T18:13:27.546000"
            },
            {
              "ref": "https://outscraper.com/amazon-reviews-scraper/",
              "extracted_on": "2021-07-23T18:13:27.546000",
              "updated_on": "2021-07-23T18:13:27.546000"
            }
          ]
        },
        {
          "value": "support@outscraper.com",
          "sources": [
            {
              "ref": "https://outscraper.com/terms-of-service/",
              "extracted_on": "2021-07-23T18:13:27.546000",
              "updated_on": "2021-07-23T18:13:27.546000"
            },
            {
              "ref": "https://outscraper.com/privacy-policy/",
              "extracted_on": "2021-07-23T18:13:27.546000",
              "updated_on": "2021-07-23T18:13:27.546000"
            }
          ]
        }
      ],
      "socials": {
        "facebook": "https://www.facebook.com/outscraper/",
        "github": "https://github.com/outscraper",
        "linkedin": "https://www.linkedin.com/company/outscraper/",
        "twitter": "https://twitter.com/outscraper",
        "youtube": "https://www.youtube.com/channel/UCDYOuXSEenLpt5tKNq-0l9Q"
      },
      "site_data": {
        "generator": "WordPress 5.7.2",
        "title": "Outscraper"
      }
    }
  ]
}

202

application/json

The response contains a request ID that can be used to fetch results by using Request Results endpoint. Each response is available for 4 hours after a request has been completed.

{
  "id": "your-request-id",
  "status": "Pending",
  "results_location": "https://api.outscraper.cloud/requests/your-request-id"
}

401

application/json

Wrong or missing API Key (token).

{
  "error": true,
  "errorMessage": "401 Unauthorized: The server could not verify that you are authorized to access the URL requested. You either supplied the wrong credentials (e.g. a bad password), or your browser doesn't understand how to supply the credentials required."
}

402

application/json

Past due invoices or a payment method not connected.

{
  "error": true,
  "errorMessage": "Please close past due invoices or verify your card information is correct."
}

422

application/json

Wrong query url parameters.

{
  "error": true,
  "errorMessage": "422 Unprocessable Entity: The request was well-formed but was unable to be followed due to semantic errors."
}

Code Samples

cURL

curl -X GET "https://api.outscraper.cloud/emails-and-contacts?query=outscraper.com&async=false" -H  "X-API-KEY: YOUR-API-KEY"

cURL (async)

curl -X GET "https://api.outscraper.cloud/emails-and-contacts?query=outscraper.com" -H  "X-API-KEY: YOUR-API-KEY"

Python

from outscraper import OutscraperClient

api_client = OutscraperClient(api_key='YOUR-API-KEY')
results = api_client.emails_and_contacts(['outscraper.com'])

Related Endpoints